Subject: Re: bug#17046: 24.3.50; On startup emacs frame has no minibuffer or windows decorations

From: Robert Marshall <[email-masked]>
Date: Sat, 22 Mar 2014 22:16:16 +0000

Juanma Barranquero writes:
 > On Sat, Mar 22, 2014 at 10:35 PM, martin rudalics <[email-masked]> wrote:
 > 
 > > BTW, you
 > > did check all four of Juanma's scenarios, that is also the ones without
 > > the (sit-for 0)?
 > 
 > Instead of (sit-for 0), I'd suggest trying with (read-event nil nil 1).
 > 

Aha!! adding (read-event nil nil 1) to bug17046.el instead of the
sit-for replicates the bug - it looks ok on startup but when I move
the mouse into the frame I lose the decorations and the minibuffer!

This is with

	  (visibility . t)
and :force-onscreen nil

Robert
-- 
Robert Marshall